Apislack
Get recent messages from a Slack channel
Read operation: does not mutate upstream state.
curl -X GET "https://api.modernloop.dev/rest/v1/slack/channels/string/history" \ -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY"{ "messages": [ { "ts": "string", "user": "string", "text": "string", "thread_ts": "string", "reply_count": 0, "parent_user_id": "string", "reactions": [ { "name": "string", "count": 0 } ] } ], "has_more": true, "next_cursor": "string"}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
channelId*string
Slack channel ID
Length
1 <= lengthQuery Parameters
limit?integer
Page size (max 200)
Range
1 <= value <= 200Default
20cursor?string
Pagination cursor from a previous page
oldest?string
Only messages after this timestamp
latest?string
Only messages before this timestamp
Response Body
application/json
application/json
application/json
application/json
application/json
application/json